gdk-sharp 2.12.0.0 Gtk# is thread aware, but not thread safe; See the Gtk# Thread Programming for details. GLib.Opaque Standard and pixmap cursors The represents cursors.
- Constructor
  2.12.0.0
  The cursor type.
  Creates a cursor from standard definitions.
  Creates a new cursor from the set of builtin cursors for the default display. See gdk_cursor_new_for_display().

  To make the cursor invisible, use gdk_cursor_new_from_pixmap() to create a cursor with no pixels in it.

- Constructor
  2.12.0.0
  raw managed pointer.
  Internal constructor.
  This is an internal constructor, do not use it.
- Constructor
  2.12.0.0
  The for which the cursor will be created.
  Cursor to create.
  Creates a new cursor from the set of builtin cursors.
  None.
- Constructor
  2.12.0.0
  a
  a
  a
  a
  To be added
  To be added
- Constructor
  2.12.0.0
  The the pixmap specifying the cursor.
  The specifying the mask, which must be the same size as source.
  the foreground color, used for the bits in the source which are 1. The color does not have to be allocated first.
  the background color, used for the bits in the source which are 0. The color does not have to be allocated first.
  the horizontal offset of the 'hotspot' of the cursor.
  the vertical offset of the 'hotspot' of the cursor.
  Creates a new cursor from a given pixmap and mask.
  Creates a new cursor from a given pixmap and mask. Both the pixmap and mask must have a depth of 1 (i.e. each pixel has only 2 values - on or off). The standard cursor size is 16 by 16 pixels.

  Gdk.Pixmap pixmap = GetPixmap (); Gdk.Bitmap mask = GetMask (); Gdk.Cursor cursor = new Gdk.Cursor (pixmap, mask);

- Property
  2.12.0.0
  Gdk.Display Returns the display on which the is defined. The where the cursor is defined.
- Method
  2.12.0.0
  System.Void To be added. To be added.
- Property
  2.12.0.0
  GLib.GType GType Property. a Returns the native value for .
- Property
  2.12.0.0
  Gdk.Pixbuf A Pixbuf containing the Cursor's image. a of the cursor image.
- Method
  2.12.0.0
  Gdk.Cursor `` `` The display for which to create the cursor. The name of the cursor in the Cursor theme. Creates a cursor by name in a cursor theme. a , or . Returns if the name doesn't have an associated cursor in the current Cursor theme.
- Method
  2.12.0.0
  System.Obsolete("Gdk.Cursor is now refcounted automatically")
  Gdk.Cursor Adds a reference to the cursor Same cursor that was passed in.
- Method
  2.12.0.0
  System.Void `` To be added. To be added. To be added.
- Property
  2.12.0.0
  Gdk.CursorType To be added. To be added. To be added.
- Method
  2.12.0.0
  System.Obsolete("Gdk.Cursor is now refcounted automatically")
  System.Void Removes a reference from cursor, deallocating the cursor if no references remain.
- Method
  2.12.0.0
  System.Void `` To be added. To be added. To be added.